Subject: Re: Last Call: <draft-ietf-xcon-common-data-model-23.txt> (Conference Information Data Model for Centralized Conferencing (XCON)) to Proposed Standard

From: Mykyta Yevstifeyev <[email-masked]>
Date: Sat, 19 Feb 2011 07:35:27 +0200

Hello,

As far as I know there was a request to review URI schemes defined in 
this document on uri-review list on 1 March 2010.  There were a few 
responses on it, but I'd like to comment these schemes' registration 
now, during the Last Call.

See my comments in-line.

>
>       9.3. Conference Object Identifier Registration
>
>
>
>
>
>   The IANA is requested to register the following URI scheme
>   under the Permanent URI Schemes registry.
Here the informative reference to RFC 4395 might be appropriate.
>   XCON-URI = "xcon" ":" [conf-object-id "@"] host [ ":" port ] [RFC xxxx]
>
>    conf-object-id = 1*( unreserved / "+" / "=" / "/" )
You should have the normative reference to RFC 5234 here.  Moreover, 
here [RFC xxxx] may be treated as part of scheme definition.  I'd like 
to propose to remove it at all.
>
>     host, port, and unreserved are defined inRFC3986  <http://tools.ietf.org/html/rfc3986>[RFC3986  <http://tools.ietf.org/html/rfc3986>]
I wonder why you have informative reference to RFC 3986.  If you import 
these rules, informative reading the document that defines them won't be 
enough.
>     [Note to the RFC Editor: replace xxxx with the number this RFC gets
>     assigned.]
>
>
>      Subject: Request for XCON-URI Registration
>      Person&  email address to contact for further information:
>           Oscar Novo<oscar novo_at_ericsson.com>
>      Specification: RFC XXXX
>      Author/Change Controller: IESG
>      Comments:
>          Identifies the Conference
As I know, RFC 4395 requires full registration template for Permanent 
registrations.  See here: http://tools.ietf.org/html/rfc4395#section-5.4
>
>
>       9.4. Conference User Identifier Registration
>
>
>
Just the same comments - references to RFC 5234 and 4395, full template.
>
>     The IANA is requested to register the following URI scheme
>      under the Permanent URI Schemes registry.
>
>      XCON-USERID = "xcon-userid" ":" conf-user-id  [ RFC xxxx ]
>
>      conf-user-id = 1*(unreserved)
Here '/conf-user-id = 1*unreserved/' would be better, IMO.
>
>     unreserved is defined inRFC3986  <http://tools.ietf.org/html/rfc3986>[RFC3986  <http://tools.ietf.org/html/rfc3986>]
>
>     [Note to the RFC Editor: replace xxxx with the number this RFC gets
>     assigned.]
>
>
>
>      Subject: Request for XCON-USERID Registration
>      Person&  email address to contact for further information:
>           Oscar Novo<oscar novo_at_ericsson.com>
>      Specification: RFC XXXX
>      Author/Change Controller: IESG
>      Comments:
>          Identifies the User in the conference
Thank you in advance for considering my comments.

All the best,
Mykyta Yevstifeyev

19.02.2011 0:34, The IESG wrote:
> The IESG has received a request from the Centralized Conferencing WG
> (xcon) to consider the following document:
> - 'Conference Information Data Model for Centralized Conferencing (XCON)'
>    <draft-ietf-xcon-common-data-model-23.txt>  as a Proposed Standard
>
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2011-03-04. Exceptionally, comments may be
> sent to [email-masked] instead. In either case, please retain the
> beginning of the Subject line to allow automated sorting.
>
> The file can be obtained via
> http://datatracker.ietf.org/doc/draft-ietf-xcon-common-data-model/
>
> IESG discussion can be tracked via
> http://datatracker.ietf.org/doc/draft-ietf-xcon-common-data-model/
>
>
>
> No IPR declarations have been submitted directly on this I-D.
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce
>